using System.IO;

namespace Sedge.Tests
{
	public static class TestUtils
	{
		public static string GetTestDataFolderComplete()
		{
			DirectoryInfo info = Directory.GetParent(Directory.GetCurrentDirectory());
			return Path.Combine(info.Parent.FullName, @"TestData\Complete");
		}

		public static string GetTestDataFolderPartial()
		{
			DirectoryInfo info = Directory.GetParent(Directory.GetCurrentDirectory());
			return Path.Combine(info.Parent.FullName, @"TestData\Partial");
		}

		public static string GetCompleteDataFile(string name)
		{
			return Path.Combine(GetTestDataFolderComplete(), name);
		}

		public static string GetPartialDataFile(string name)
		{
			return Path.Combine(GetTestDataFolderPartial(), name);
		}
	}
}