using System;
using Sedge.Core.Configuration;
using Sedge.Core.Execution;
using Sedge.Core.Globalization;
using Sedge.UI.View;
using Sedge.UI.ViewModel;

namespace Sedge.UI.Controller
{
	public class ContactsController : IStepController
	{
		#region Private fields

		private Suite _suite;
		private Options _options;
		private ContactsView _contactsView;

		#endregion //Private fields

		public object View
		{
			get
			{
				if (_contactsView == null)
				{
					_contactsView = new ContactsView(new ContactsViewModel(_suite, _options));
				}

				return _contactsView;
			}
		}

		public string Caption
		{
			get
			{
				string caption = _options.Caption();
				if (String.IsNullOrEmpty(caption))
					caption = Locale.Strings.ContactsCaption;

				return caption;
			}
		}

		public void Initialize(Suite suite, Options options)
		{
			_suite = suite;
			_options = options;
		}

		public bool EnterStep(bool fromPrev)
		{
			return true;
		}

		public bool LeaveStep(bool toNext)
		{
			if (toNext)
			{
				_contactsView.TransferData();
			}

			return true;
		}
	}
}