using System;
using Sedge.Core.Configuration;
using Sedge.Core.Execution;
using Sedge.Core.Globalization;
using Sedge.UI.View;
using Sedge.UI.ViewModel;

namespace Sedge.UI.Controller
{
	public class ErrorDetailsController : IStepController
	{
		#region Private fields

		private Suite _suite;
		private Options _options;
		private ErrorDetailsView _view;

		#endregion //Private fields

		#region Properties

		public object View
		{
			get
			{
				if (_view == null)
				{
					_view = new ErrorDetailsView(new ErrorDetailsViewModel(_suite, _options));
				}
				return _view;
			}
		}

		public string Caption
		{
			get
			{
				string caption = _options.Caption();
				if (String.IsNullOrEmpty(caption))
					caption = Locale.Strings.DetailsCaption;

				return caption;
			}
		}

		#endregion //Properties

		#region Methods

		public void Initialize(Suite suite, Options options)
		{
			_suite = suite;
			_options = options;
		}

		public bool EnterStep(bool fromPrev)
		{
			return true;
		}

		public bool LeaveStep(bool toNext)
		{
			if (toNext)
			{
				_view.TransferData();
			}

			return true;
		}

		#endregion //Methods

	}
}