using System;
using Sedge.Core.Configuration;
using Sedge.Core.Execution;
using Sedge.Core.Globalization;
using Sedge.UI.View;
using Sedge.UI.ViewModel;

namespace Sedge.UI.Controller
{
	public class WelcomeController : IStepController
	{
		#region Private fields

		private WelcomeView _welcomeView; 
		private Options _options;

		#endregion //Private fields

		#region Properties

		public object View
		{
			get
			{
				if (_welcomeView == null)
				{
					_welcomeView = new WelcomeView(new WelcomeViewModel(_options));
				}
				return _welcomeView;
			}
		}

		public string Caption
		{
			get
			{
				string caption = _options.Caption();
				if (String.IsNullOrEmpty(caption))
					caption = Locale.Strings.WelcomeViewCaption;

				return caption;
			}
		}

		#endregion //Properties

		#region Methods

		public void Initialize(Suite suite, Options options)
		{
			_options = options;
		}

		public bool EnterStep(bool fromPrev)
		{
			return true;
		}

		public bool LeaveStep(bool toNext)
		{
			return true;
		}

		#endregion //Methods
	}
}